<?php
//---------------------------用户自定义标签函数文件
function user_ShowListMorePage($num,$page,$dolink,$type,$totalpage,$line,$ok,$search=""){
    global $fun_r,$public_r;
    if($num<=$line)
    {
        $pager['showpage']='';
        return $pager;
    }
    $page_line=$public_r['listpagelistnum'];
    $snum=2;
    $totalpage=ceil($num/$line);//取得总页数
  
    $firststr='<div class=total>总数 <strong>'.$num.'</strong> 条</div> <div class=total>共 </strong><strong> '.$totalpage.'</strong> 页</div>';  //  $num意思是信息总数   $totalpage代表 总页数
    //上一页
    if($page<>1)
    {
        $toppage='<div class=next><a href="'.$dolink.'index'.$type.'">'.$fun_r['startpage'].'</a></div>';    //首页
        $pagepr=$page-1;
        if($pagepr==1)
        {
            $prido="index".$type;
        }
        else
        {
            $prido="index_".$pagepr.$type;
        }
        $prepage='<div class=next><a href="'.$dolink.$prido.'">'.$fun_r['pripage'].'</a></div>';     //上一页
    }
    //下一页
    if($page!=$totalpage)
    {
        $pagenex=$page+1;
        $nextpage='<div class=next><a href="'.$dolink.'index_'.$pagenex.$type.'">'.$fun_r['nextpage'].'</a></div>';   //下一页
        $lastpage='<div class=lastly><a href="'.$dolink.'index_'.$totalpage.$type.'">'.$fun_r['lastpage'].'</a></div>';    //最后一页
    }
    $starti=$page-$snum<1?1:$page-$snum;
    $no=0;
    for($i=$starti;$i<=$totalpage&&$no<$page_line;$i++)    //详细页码信息
    {
        $no++;
        if($page==$i)
        {
            $is_1="<div class=active>";    //当前
            $is_2="</div>";
        }
        elseif($i==1)
        {
            $is_1='<div><a href="'.$dolink.'index'.$type.'">';   //第一页
            $is_2="</a></div>";
        }
        else
        {
            $is_1='<div><a href="'.$dolink.'index_'.$i.$type.'">';    //其他页
            $is_2="</a></div>";
        }
        $returnstr.=$is_1.$i.$is_2;
    }
    $returnstr="<div id=splitpage>".$firststr."\n".$toppage."\n".$prepage."\n".$returnstr."\n".$nextpage."\n".$lastpage."</div>";   
    $pager['showpage']=$returnstr;
    return $pager;
}

function currentPage($classid,$thisid){        
	global $class_r;        
	$fr=explode('|',$class_r[$classid][featherclass]);        
	$topbclassid=$fr[1]?$fr[1]:$classid;//取得第一级栏目id        
	if ($topbclassid==$thisid) {                  
	echo "selected";                
	}                
	else {                
	}
}
?>